---

- hosts: sftpserver
  become: True

  handlers:
    - include: handlers/main.yml

  roles:
    - role: chroot-sshd
      chroot_sshd_install: False

  tasks:
    - include: tasks/setup-sshd.yml
      when: sshd_port is defined

    # TODO: This can be fixed with a policy
    - name: setenforce 0
      selinux:
        policy: targeted
        state: permissive

    - include: tasks/setup-users.yml
